<?php

//$api = 
/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the controller to call when that URI is requested.
|
 */

Route::get('/', function () {
    return view('welcome');
});

Route::get('/ami_getdevice', 'ApiEtsServer@ami_getdevice');

Route::get('/ami_getdevice_status', 'ApiEtsServer@ami_getdevice_status');

Route::post('/login', 'ApiEtsServer@login');

Route::get('/logout', 'ApiEtsServer@logout');

// main page
// get    /call_queues    รายชื่อ โทรศัพท์ ที่โทรเข้ามา
// get    /call_usage        รายชื่อ โทรศััพท์ ที่ ใช้งาน
// get    /missedcall        ไม่ได้รับสาย
// get    /call_history    รายการทั้งหมด ในวันนั้น
// get    /getdevice        รายการ อุปกรน์​ พร้อม status ทั้งหมด
// HOME MAP
Route::get('/call_queues', 'ApiEtsServer@call_queues');

Route::get('/call_usage', 'ApiEtsServer@call_usage');

Route::get('/missedcall', 'ApiEtsServer@missedcall');

Route::get('/call_history', 'ApiEtsServer@call_history');

Route::get('/getdevice', 'ApiEtsServer@getdevice');

// Page Voice Record
// start date
// end date
// device list form data

Route::post('/voice_record', 'ApiEtsServer@voice_recode');

//  Page ETS Setting

Route::post('/list_device', 'ApiEtsServer@list_device');
Route::post('/add_device', 'ApiEtsServer@add_device');
Route::post('/edit_device', 'ApiEtsServer@edit_device');
Route::post('/del_device', 'ApiEtsServer@del_device');

// Page Add User
Route::get('/list_user', 'ApiEtsServer@list_user');
Route::post('/add_user', 'ApiEtsServer@add_user');
Route::post('/edit_user', 'ApiEtsServer@edit_user');
Route::post('/del_user', 'ApiEtsServer@del_user');

// page Group Permission
Route::post('/list_permission', 'ApiEtsServer@list_permission');
Route::post('/add_permission', 'ApiEtsServer@add_permission');
Route::post('/edit_permission', 'ApiEtsServer@edit_permission');
Route::post('/del_permission', 'ApiEtsServer@del_permission');

// Tel Usage Report
// start date
// end date
// device list device form data
Route::post('/tel_usage_report', 'ApiEtsServer@tel_usage_report');

// Tel failed Report
// start date
// end date
// device list device form data
Route::post('/tel_failed_record', 'ApiEtsServer@tel_failed_report');

// equ failed Report
// start date
// end date
// device list device form data
Route::post('/equ_failed_record', 'ApiEtsServer@equ_failed_report');
